summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsrc/build/debug/vpo-debug-framework.pl10
-rwxr-xr-xsrc/build/vpo/Setup_Env72
-rwxr-xr-xsrc/build/vpo/VBU_Cacheline.pm11
-rwxr-xr-xsrc/build/vpo/do_sprint52
-rwxr-xr-xsrc/build/vpo/hb-istep4
-rwxr-xr-xsrc/build/vpo/hb-virtdebug.pl6
6 files changed, 94 insertions, 61 deletions
diff --git a/src/build/debug/vpo-debug-framework.pl b/src/build/debug/vpo-debug-framework.pl
index 12cee677c..6d00f33cd 100755
--- a/src/build/debug/vpo-debug-framework.pl
+++ b/src/build/debug/vpo-debug-framework.pl
@@ -29,6 +29,7 @@ use strict;
use warnings;
use POSIX;
+use Cwd;
use Getopt::Long;
use Pod::Usage;
use File::Temp ('tempfile');
@@ -81,12 +82,13 @@ my $toolHelp = 0;
my $debug = 0;
my $mute = 0;
my $nosavestates = 0;
-my @ecmdOpt = ("-c3");
+my @ecmdOpt = ("-cft");
my @threadState = ();
my $l2Flushed = 0;
my $fh;
# Use HB_VBUTOOLS env if specified
+my $outDir = getcwd();
my $vbuToolDir = $ENV{'HB_VBUTOOLS'};
if (defined ($vbuToolDir))
{
@@ -321,7 +323,7 @@ sub readData
}
#Read the cache lines from L3 and save to temp file
- my (undef, $fname) = tempfile("tmpXXXXX");
+ my (undef, $fname) = tempfile("tmpXXXXX", DIR => "$outDir");
my $command = sprintf ("$vbuToolDir/p8_dump_l3 %x $numCacheLines -f $fname -b @ecmdOpt",
$addr);
@@ -369,7 +371,7 @@ sub writeData
}
#read the cachelines from L3 & save to temp file
- my ($fh, $fname) = tempfile("tmpXXXXX");
+ my ($fh, $fname) = tempfile("tmpXXXXX", DIR => "$outDir");
binmode $fh;
print $fh (readData($base, $numCacheLines * CACHELINESIZE));
if ($debug)
@@ -396,7 +398,7 @@ sub writeData
if ($debug)
{
- ($fh, $fname) = tempfile("tmpXXXXX");
+ ($fh, $fname) = tempfile("tmpXXXXX", DIR => "$outDir");
binmode $fh;
print $fh (readData($base, $numCacheLines * CACHELINESIZE));
print "data written\n";
diff --git a/src/build/vpo/Setup_Env b/src/build/vpo/Setup_Env
index 8227c83d0..32c60c1a3 100755
--- a/src/build/vpo/Setup_Env
+++ b/src/build/vpo/Setup_Env
@@ -11,7 +11,11 @@
# Update default Cronus version to newer level
# Update default HB_TOOLS level
# Increase simclock cycles to 5000000 per loop
-#
+#
+# Version 1.3 06-11-2012 Change "-c3" to "-cft" (first avail core)
+# Update to Cronus rel.20120611, HBTOOLS rel.20120611
+# Build hb0606a_1219.810
+# Add m_3_a Murano model
#
################################################################################
@@ -53,17 +57,16 @@ Setup_MyEnv() {
# Default Sprint release
- sprint=hb0419a_1216.810
+ sprint=hb0606a_1219.810
# Initialize HostBoot environment/cronus/tools - note new naming convention
- export AUTOVBU_CRONUS_SIM=rel.20120507
+ export AUTOVBU_CRONUS_SIM=rel.20120611
export GLOBAL_DEBUG=8.VW.Vc.dG.F3.0I.E8.V
- export HB_TOOLS=$AUTOVBU_HBTOOLS_BASEDIR/rel.20120509
+ export HB_TOOLS=$AUTOVBU_HBTOOLS_BASEDIR/rel.20120611
# Select default model -- choose either VBU or VPO versions
-
- export VPO_MODEL=m_2_a; unset VBU_MODEL; VBUVPO=VPO
+ export VPO_MODEL=m_3_a; unset VBU_MODEL; VBUVPO=VPO
#export VBU_MODEL=p1_e8056_c1000_cen1_cen054_unopt_2_gfw; unset VPO_MODEL; VBUVPO=VBU
#export VBU_MODEL=p1_e8062_wafer_nomem_c1000_opt_4; unset VPO_MODEL; VBUVPO=VBU
#export VBU_MODEL=p1_e8062_c1000_cen1_cen061_unopt_1; unset VPO_MODEL; VBUVPO=VBU
@@ -74,9 +77,9 @@ Setup_MyEnv() {
# Default sprint test case settings
- export AUTOVBU_CORE=-c3
+ export AUTOVBU_CORE=-cft
export AUTOVBU_SIMCLOCKS=5000000
- export AUTOVBU_INITIAL_CHKPT=after_8megzero
+ export AUTOVBU_INITIAL_CHKPT=after_8megzero_newxscom
export AUTOVBU_LOOPS=1200
export AUTOVBU_PRINTK_LINES=50
@@ -112,6 +115,7 @@ Setup_MyArgs() {
in
-h|-help|--help)
echo "Usage: source Setup_Env [-get_awan|--get_awan] \\"
+ echo " [<-awan|--awan> <star4b|star8b|star16b>] \\"
echo " [<-time|--time> <awan time>] \\"
echo " [<-model|--model> <model>] \\"
echo " [<-release|--release> <Sprint Release>] \\"
@@ -124,6 +128,14 @@ Setup_MyArgs() {
-get_awan|--get_awan)
get_awan=YES
;;
+ -awan|--awan)
+ if [ $# -lt 2 ]; then
+ echo "Missing/invalid AWAN configuation"
+ return 1
+ fi
+ export AWAN_CONFIG=$2
+ shift 1
+ ;;
-load_hb_img|--load_hb_img)
load_hb_img=YES
;;
@@ -223,6 +235,11 @@ Setup_MyDynamic() {
# Set other defaults based upon MODEL
case "$VPO_MODEL$VBU_MODEL"
in
+ s1_e8024_wafer_nomem_dc_opt_6|s1_e8026_c0400_cen1_cen069_unopt_1|m_3_a)
+ export AUTOVBU_ECMD_VER=${AUTOVBU_ECMD_VER-p8s1}
+ export AWAN_CONFIG=${AWAN_CONFIG-star8b}
+ unset DEFAULT_LEVEL
+ ;;
p1_e8062_wafer_nomem_c1000_opt_4|m_2_e)
export AUTOVBU_ECMD_VER=${AUTOVBU_ECMD_VER-p8s1}
export AWAN_SCRIPT=${AWAN_SCRIPT-run_script_star4b}
@@ -266,11 +283,17 @@ Setup_MyDynamic() {
;;
esac
+ if [ "$AUTOVBU_ECMD_VER" = "cronusflex" ]; then
+ export AWAN_SCRIPT=${AWAN_SCRIPT-run_script_${AWAN_CONFIG}_flex}
+ else
+ export AWAN_SCRIPT=${AWAN_SCRIPT-run_script_${AWAN_CONFIG}}
+ fi
+
# Try to dynamically set istep list if user did not supply a value
- if [ "$AUTOVBU_ISTEP_LIST" = "" -f $HB_IMGDIR/isteplist.csv ]; then
- export AUTOVBU_ISTEP_LIST=`cut -d',' -f3 <$HB_IMGDIR/isteplist.csv | tr '\n' ' '`
- elif [ "$AUTOVBU_ISTEP_LIST" = "" -f $HB_TOOLS/isteplist.csv ]; then
+ if [ "$AUTOVBU_ISTEP_LIST" = "" -a -f $HB_IMGDIR/isteplist.csv ]; then
+ export AUTOVBU_ISTEP_LIST=`sort -s -t ',' -k 1,1n -k2,2n $HB_IMGDIR/isteplist.csv | cut -d',' -f3 | tr '\n' ' '`
+ elif [ "$AUTOVBU_ISTEP_LIST" = "" -a -f $HB_TOOLS/isteplist.csv ]; then
export AUTOVBU_ISTEP_LIST=`cut -d',' -f3 <$HB_TOOLS/isteplist.csv | tr '\n' ' '`
fi
@@ -310,6 +333,7 @@ Setup_MyAWAN() {
MY_AWAN_KEEP=/afs/apd.pok.ibm.com/u/${MY_AFS_USER-$USER}/awan/awan.KEEP-$VBU_MODEL$VPO_MODEL-${MY_AWAN_DIR-${MY_AFS_USER-$USER}}-$DISPLAY
if [ "$get_awan" = "YES" ]; then
+ unset ECMD_TARGET
# Add environmental definitions for automated test
eval export P8_${VBUVPO}DD1_${VPO_MODEL}${VBU_MODEL}_AWAN_SCRIPT="$AWAN_SCRIPT"
eval export P8_${VBUVPO}DD1_${VPO_MODEL}${VBU_MODEL}_AUTOVBU_ECMD_VER="$AUTOVBU_ECMD_VER"
@@ -368,7 +392,7 @@ Setup_MyTarget() {
# Check for AWAN using automated tools
- if [ -f "$MY_AWAN_INIT" -o -f "$MY_AWAN_HAVE" ]; then
+ if [ -f "$MY_AWAN_HAVE" ]; then
if [ ! -f "$MY_AWAN_TARGET" ]; then
# Pause a while for target to initialize
for i in 0 1 2 3 4 5
@@ -406,8 +430,18 @@ Setup_MyTarget() {
else
echo
echo "*** WARNING: AWAN target config file was not found"
- echo "User must manually set cronus target and update config file"
+ c=`dirname $CRONUS_HOME`
+ if [ "$AUTOVBU_ECMD_VER" != "cronusflex" -a -f $c/cronusflex/cnfgs/${my_target}_cnfg ]; then
+ echo "ERROR: AWAN is running cronusflex instead of $AUTOVBU_ECMD_VER"
+ elif [ "$AUTOVBU_ECMD_VER" != "p8s1" -a -f $c/p8s1/cnfgs/${my_target}_cnfg ]; then
+ echo "ERROR: AWAN is running cronus p8s1 instead of $AUTOVBU_ECMD_VER"
+ else
+ echo "User must manually set cronus target and update config file"
+ fi
+ return 1
fi
+
+ return 0
}
# Load HostBoot image if requested
@@ -418,18 +452,12 @@ Setup_MyHBImage() {
if [ "$load_hb_img" = "YES" ]; then
- # Allow HB_RELDIR setting to adjust load addresses as needed
-
- vbu_targeting_addr=0x601690
- echo "$HB_RELDIR" | grep -s "Sprint8" >/dev/null 2>&1
- test $? -eq 0 && vbu_targeting_addr=0x5B0690
-
# Load initial checkpoint first
set -x
siminit ${AUTOVBU_INITIAL_CHKPT-after_8megzero} -quiet || return 1
- $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMGDIR}/hbicore${use_test}.bin -b ${AUTOVBU_CORE--c3} || return 1
- $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMGDIR}/vbu${use_test}.pnor -o 0x400000 -b ${AUTOVBU_CORE--c3} || return 1
+ $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMGDIR}/hbicore${use_test}.bin -b ${AUTOVBU_CORE--cft} || return 1
+ $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMGDIR}/vbu${use_test}.pnor -o 0x400000 -b ${AUTOVBU_CORE--cft} || return 1
set +x
fi
@@ -438,7 +466,7 @@ Setup_MyHBImage() {
# Define a shell function to clean up and release the AWAN
AWAN_EXIT() {
- rm -f "$MY_AWAN_KEEP" "$MY_AWAN_HAVE"
+ rm -f "$MY_AWAN_KEEP"
my_target=`target query 2>/dev/null | sed -n -e '/Current target/s/.*is "\(.*\)"/\1/p'`
if [ "$my_target" != "" -a -f "$CRONUS_HOME/cnfgs/${my_target}_cnfg" ]; then
simexit -quiet
diff --git a/src/build/vpo/VBU_Cacheline.pm b/src/build/vpo/VBU_Cacheline.pm
index 41e2760b5..cef6e3e5b 100755
--- a/src/build/vpo/VBU_Cacheline.pm
+++ b/src/build/vpo/VBU_Cacheline.pm
@@ -74,7 +74,7 @@ sub SetFlags;
############################################
my $curDir = getcwd();
my $CLfile = "$curDir/istepmodereg.dma";
-my $CORE = "-c3";
+my $CORE = "-cft";
my $SIM_CLOCKS = "5000000";
@@ -116,10 +116,10 @@ my $RUNCLKSCMD = "simclock";
# "proc_thread_control: Thread Start failed: RAS Status Run bit is not on"
# Temporary workaround is using only one thread as shown below.
# Lance Karm is still investigating.
-my $QUERYCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -query $CORE -t0";
-my $STARTCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -start $CORE -t0";
-my $STOPCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -stop $CORE -t0";
-my $RESETCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -sreset $CORE";
+my $QUERYCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -query $CORE -t0 -quiet";
+my $STARTCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -start $CORE -t0 -quiet";
+my $STOPCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -stop $CORE -t0 -quiet";
+my $RESETCMD = "$vbuToolsDir/proc_thread_control_wrap.x86 -sreset $CORE -quiet";
##
#==============================================================================
@@ -246,6 +246,7 @@ sub P8_Ins_Query()
}
else
{
+ chomp( $retstr );
die "invalid string \"$retstr\" from P8_Ins_Query\n";
}
}
diff --git a/src/build/vpo/do_sprint b/src/build/vpo/do_sprint
index 81e1a86fd..2399c5dcd 100755
--- a/src/build/vpo/do_sprint
+++ b/src/build/vpo/do_sprint
@@ -48,6 +48,8 @@
# p8_ins_query/stop/start
# - Use env variable $HB_VBUTOOLS for VBU tools
#
+# Version 1.3 06-11-2012 Change "-c3" to "-cft" (first avail core)
+#
##################################################################################
PGM=`basename $0`
@@ -210,7 +212,7 @@ testaddr1=${AUTOVBU_TESTADDR1-`grep "CxxTest::g_ModulesStarted" ${HB_IMGDIR}/hbi
shutdown=${AUTOVBU_SHUTDOWN-`grep "KernelMisc::shutdown" ${HB_IMGDIR}/hbicore${use_test}.syms | awk -F"," '{print $2}'|tr '[a-z]' '[A-Z]'`}
doze=`echo "ibase=16; $shutdown + 30" | bc | awk ' { printf("0x%16.16X\n", $0); }'`
-CORE=${AUTOVBU_CORE--c3}
+CORE=${AUTOVBU_CORE--cft}
# Initialize AWAN unless we have been asked to start after load
@@ -226,21 +228,21 @@ if [ "$start_after_hbiload" != "--start_after_hbiload" -a "$start_after_hbitest"
fi
if [ "$start_after_hbiload" != "--start_after_hbiload" -a "$start_after_hbitest" != "--start_after_hbitest" ]; then
- $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMG}/hbicore${use_test}.bin -b ${CORE--c3} || exit 1
- $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMG}/vbu${use_test}.pnor -o 0x400000 -b ${CORE--c3} || exit 1
+ $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMG}/hbicore${use_test}.bin -b ${CORE--cft} || exit 1
+ $HB_VBUTOOLS/p8_load_l3 -l ${DEFAULT_LEVEL-rel} -f ${HB_IMG}/vbu${use_test}.pnor -o 0x400000 -b ${CORE--cft} || exit 1
fi
if [ "$start_after_hbiload" != "--start_after_hbiload" -a "$start_after_hbitest" != "--start_after_hbitest" ]; then
# Adjust timers
- MyEX=EX0`expr substr "${AUTOVBU_CORE--c3}" 3 1`
+ MyEX=EX0`expr substr "${AUTOVBU_CORE--cft}" 3 1`
simPUTFAC B0.C0.S0.P0.E8.${MyEX}.EC.PC.PC_NE.FIR.FIRC_SCOM.FIR_MASKQ.ESC.L1 1 1 0 55 -ib -quiet
simPUTFAC B0.C0.S0.P0.E8.${MyEX}.EC.PC.PC_NE.FIR.FIRC_SCOM.FIR_MASKQ.ESC.L2 1 1 0 55 -ib -quiet
simclock 1 -quiet
# Start instructions
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -sreset ${CORE--c3} -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -sreset ${CORE--cft} -quiet
# Make a checkpoint now if requested
test "$chkpt_after_hbiload" = "--chkpt_after_hbiload" && simcheckpoint chkpt_after_hbiload-$AUTOCHKPT_VERSION
@@ -367,18 +369,18 @@ if [ "$start_after_hbitest" != "--start_after_hbitest" ]; then
fi
if [ "$use_hb_trace" = "--use_hb_trace" ]; then
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--cft} -t0 -quiet
$HB_TOOLS/hb-trace $test_arg --out $printk_tmp3 2>&1 | egrep -v "^FAPI DBG>:|^FAPI IMP>:|Using deprecated ReturnCode function to assign integer" >$printk_tmp2
test -f $printk_tmp3/hb-Trace.output && cp $printk_tmp3/hb-Trace.output $printk_tmp3/tmp.hb-Trace.output-$istep
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
elif [ "$use_printk" = "--use_printk" ]; then
DUMP_PRINTK ${addr} ${lines} >$printk_tmp2
elif [ "$use_dump_l3" = "--use_dump_l3" ]; then
DUMP_L3_PRINTK ${addr} ${lines} >$printk_tmp2
else
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--cft} -t0 -quiet
$HB_TOOLS/hb-printk $test_arg --out $printk_tmp3 2>&1 | egrep -v "^FAPI DBG>:|^FAPI IMP>:|Using deprecated ReturnCode function to assign integer" >$printk_tmp2
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
fi
echo >>$printk_tmp2
@@ -386,11 +388,11 @@ if [ "$start_after_hbitest" != "--start_after_hbitest" ]; then
mv $printk_tmp2 $printk_tmp1
# Check for a checkstop/special attn
- getscom pu 000f001a ${CORE--c3} -quiet | egrep -v "0x0000000000000000|0x4000000000000000"
+ getscom pu 000f001a ${CORE--cft} -quiet | egrep -v "0x0000000000000000|0x4000000000000000"
if [ "$?" -eq 0 ]; then
echo; echo; echo
echo "FAIL: checkstop/attn running $PGM"
- fircheck ${CORE--c3} -quiet 2>&1 | head -30 | sed -e 's/[Ee][Rr][Rr][Oo][Rr]/ERR*R/g' -e 's/FAIL/F*IL/g' | egrep -v "00 SIMDISP|CNFG FILE GLOBAL_DEBUG"
+ fircheck ${CORE--cft} -quiet 2>&1 | head -30 | sed -e 's/[Ee][Rr][Rr][Oo][Rr]/ERR*R/g' -e 's/FAIL/F*IL/g' | egrep -v "00 SIMDISP|CNFG FILE GLOBAL_DEBUG"
break
fi
Get_Access | egrep -v "No access to pwd file|Invalid password"
@@ -454,22 +456,22 @@ if [ "$start_after_hbitest" != "--start_after_hbitest" ]; then
cat hb-ContTrace.output >> tracMERG
if [ "$use_hb_trace" = "--use_hb_trace" ]; then
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--cft} -t0 -quiet
$HB_TOOLS/hb-trace $test_arg --out $printk_tmp3 2>&1 | egrep -v "^FAPI DBG>:|^FAPI IMP>:|Using deprecated ReturnCode function to assign integer" >$printk_tmp2
test -f $printk_tmp3/hb-Trace.output && cp $printk_tmp3/hb-Trace.output $printk_tmp3/tmp.hb-Trace.output-$loopcnt
- #$HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ #$HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
elif [ "$use_printk" = "--use_printk" ]; then
DUMP_PRINTK ${addr} ${lines} >$printk_tmp2
elif [ "$use_dump_l3" = "--use_dump_l3" ]; then
DUMP_L3_PRINTK ${addr} ${lines} >$printk_tmp2
else
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--cft} -t0 -quiet
$HB_TOOLS/hb-printk $test_arg --out $printk_tmp3 2>&1 | egrep -v "^FAPI DBG>:|^FAPI IMP>:|Using deprecated ReturnCode function to assign integer" >$printk_tmp2
- #$HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ #$HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
fi
# Start instruction, conttrace may have stop instructions
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
echo >>$printk_tmp2
diff -a $printk_tmp1 $printk_tmp2 | egrep -a "^> " | sed -e 's/[Ee][Rr][Rr][Oo][Rr]/ERR*R/g' -e 's/FAIL/F*IL/g'
@@ -482,11 +484,11 @@ if [ "$start_after_hbitest" != "--start_after_hbitest" ]; then
break
fi
# Check for a checkstop/special attn
- getscom pu 000f001a ${CORE--c3} -quiet | egrep -v "0x0000000000000000|0x4000000000000000"
+ getscom pu 000f001a ${CORE--cft} -quiet | egrep -v "0x0000000000000000|0x4000000000000000"
if [ "$?" -eq 0 ]; then
echo; echo; echo
echo "FAIL: checkstop/attn running $PGM"
- fircheck ${CORE--c3} -quiet 2>&1 | head -30 | sed -e 's/[Ee][Rr][Rr][Oo][Rr]/ERR*R/g' -e 's/FAIL/F*IL/g' | egrep -v "00 SIMDISP|CNFG FILE GLOBAL_DEBUG"
+ fircheck ${CORE--cft} -quiet 2>&1 | head -30 | sed -e 's/[Ee][Rr][Rr][Oo][Rr]/ERR*R/g' -e 's/FAIL/F*IL/g' | egrep -v "00 SIMDISP|CNFG FILE GLOBAL_DEBUG"
break
fi
@@ -529,7 +531,7 @@ if [ "$start_after_hbitest" != "--start_after_hbitest" ]; then
cat hb-ContTrace.output >> tracMERG
# Start instruction, conttrace may have stop instructions
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
date
rm -f $printk_tmp2 $printk_tmp1
@@ -586,9 +588,9 @@ if [ "$trace_after_loops" != "" ]; then
fi
echo "Loading: chkpt_after_loop${loopcnt}-$AUTOCHKPT_VERSION"
siminit chkpt_after_loop${loopcnt}-$AUTOCHKPT_VERSION || exit 1
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--cft} -t0 -quiet
$HB_TOOLS/hb-trace $test_arg --out $AUTOVBU_TEST_DIR/trace_after_loop${loopcnt} >/dev/null 2>&1
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
done
cat `ls -1rt $AUTOVBU_TEST_DIR/trace_after_loop*/hb-Trace.output` | sort | uniq -c |
sed -e 's/[Ee][Rr][Rr][Oo][Rr]/ERR*R/g' -e 's/FAIL/F*IL/g' > $AUTOVBU_TEST_DIR/trace_after_loop-hb-Trace.output
@@ -604,9 +606,9 @@ if [ -d "$AUTOVBU_TEST_DIR/trace_after_hbitest" -a ! -f $AUTOVBU_TEST_DIR/trace_
chmod a+rx $AUTOVBU_TEST_DIR/trace_after_hbitest >/dev/null 2>&1
echo "Loading: chkpt_after_hbitest-$AUTOCHKPT_VERSION"
siminit chkpt_after_hbitest-$AUTOCHKPT_VERSION || exit 1
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--cft} -t0 -quiet
$HB_TOOLS/hb-trace $test_arg --out $AUTOVBU_TEST_DIR/trace_after_hbitest >/dev/null 2>&1
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
echo
echo "Trace file: $AUTOVBU_TEST_DIR/trace_after_hbitest/hb-Trace.output"
echo
@@ -640,9 +642,9 @@ if [ "$trace_after_istep" != "" ]; then
fi
echo "Loading: chkpt_after_istep_${istep}-$AUTOCHKPT_VERSION"
siminit chkpt_after_istep_${istep}-$AUTOCHKPT_VERSION || exit 1
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -stop ${CORE--cft} -t0 -quiet
$HB_TOOLS/hb-trace $test_arg --out $AUTOVBU_TEST_DIR/trace_after_istep_${istep} >/dev/null 2>&1
- $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--c3} -t0 -quiet
+ $HB_VBUTOOLS/proc_thread_control_wrap.x86 -start ${CORE--cft} -t0 -quiet
done
cat `ls -1rt $AUTOVBU_TEST_DIR/trace_after_istep*/hb-Trace.output` | sort | uniq -c |
sed -e 's/[Ee][Rr][Rr][Oo][Rr]/ERR*R/g' -e 's/FAIL/F*IL/g' > $AUTOVBU_TEST_DIR/trace_after_istep-hb-Trace.output
diff --git a/src/build/vpo/hb-istep b/src/build/vpo/hb-istep
index ec6ed1e64..8771ae87c 100755
--- a/src/build/vpo/hb-istep
+++ b/src/build/vpo/hb-istep
@@ -45,7 +45,7 @@
#
# Version 1.1 05-09-2012 Start version history
# VPO performance improvement changes
-#
+# Version 1.2 06-11-2012 Change "-c3" to "-cft" (first avail core)
#
##################################################################################
@@ -85,7 +85,7 @@ sub isTraceFull;
#------------------------------------------------------------------------------
# Constants
#------------------------------------------------------------------------------
-my $CORE = "-c3";
+my $CORE = "-cft";
## @todo extract these from splesscommon.H
diff --git a/src/build/vpo/hb-virtdebug.pl b/src/build/vpo/hb-virtdebug.pl
index 55d414ae3..d74f61cb6 100755
--- a/src/build/vpo/hb-virtdebug.pl
+++ b/src/build/vpo/hb-virtdebug.pl
@@ -34,6 +34,7 @@
# - Use proc_thread_control_wrap in place of
# p8_ins_stop/start/query
#
+# Version 1.2 06-11-2012 Change "-c3" to "-cft" (first avail core)
#
##################################################################################
@@ -96,9 +97,8 @@ my @comp; #Array of component trace buffers to dump
my @symsLines; #Array to store the .syms file data
my $outDir = getcwd(); #Default = current working directory
my @ecmdOpt; #Array of ecmd options
-my $core = "3"; #Default is core 3
+my $core = "ft"; #Default is first core ("ft")
my @threadState = (); #Array to store the thread states
-my $vbuToolDir = "/gsa/ausgsa/projects/h/hostboot/vbutools/latest";
# Use HB_VBUTOOLS if it's set; otherwise, try to use the latest tool directory
my $vbuToolDir = $ENV{'HB_VBUTOOLS'};
@@ -824,6 +824,6 @@ sub printUsage()
print (" -n# Specify which node to act on (default = 0)\n");
print (" -s# Specify which slot to act on (default = 0)\n");
print (" -p# Specify which chip position to act on (default = 0)\n");
- print (" -c# Specify which core/chipUnit to act on (default = 3)\n");
+ print (" -c# Specify which core/chipUnit to act on (default = ft)\n");
}
OpenPOWER on IntegriCloud